diff --git a/game/core/src/main/java/net/minecraft/core/lang/I18n.java b/game/core/src/main/java/net/minecraft/core/lang/I18n.java
index b118a066d..1358620a9 100644
--- a/game/core/src/main/java/net/minecraft/core/lang/I18n.java
+++ b/game/core/src/main/java/net/minecraft/core/lang/I18n.java
@@ -1,138 +1,116 @@
 package net.minecraft.core.lang;
 
 import com.mojang.logging.LogUtils;
+import org.jetbrains.annotations.NotNull;
+import org.jetbrains.annotations.Nullable;
 import org.slf4j.Logger;
 
 import java.io.IOException;
 import java.io.InputStream;
 import java.net.URI;
+import java.net.URL;
 import java.nio.file.*;
-import java.util.ArrayList;
-import java.util.Collections;
-import java.util.Iterator;
-import java.util.List;
+import java.util.*;
 import java.util.stream.Stream;
 
 public class I18n {
-    private static final Logger LOGGER = LogUtils.getLogger();
-    private static I18n INSTANCE;
-    private Language currentLanguage;
+    private static final @NotNull Logger LOGGER = LogUtils.getLogger();
 
-    public static void initialize(String languageCode)
-    {
+    private static @Nullable I18n INSTANCE = null;
+    private @Nullable Language currentLanguage = null;
+
+    public static void initialize(final @NotNull String languageCode) {
         INSTANCE = new I18n(languageCode);
     }
 
-	private I18n(String languageCode) {
-        if (!LanguageSeeker.LANGUAGE_DIR.exists())
-        {
+    public static @Nullable I18n getInstance() {
+        return INSTANCE;
+    }
+
+    private I18n(final @NotNull String languageCode) {
+        if (!LanguageSeeker.LANGUAGE_DIR.exists()) {
             LanguageSeeker.LANGUAGE_DIR.mkdirs();
         }
-		reload(languageCode);
-	}
-
-    public void reload(String languageCode)
-    {
-        reload(languageCode, false);
+        reload(languageCode);
     }
 
-    public void reload(String languageCode, boolean save)
-    {
-        if (currentLanguage != null) {
-            currentLanguage.onReload();
+    public final void reload(final @NotNull String languageCode) {
+        if (this.currentLanguage != null) {
+            this.currentLanguage.onReload();
         }
         try {
-            currentLanguage = LanguageSeeker.seek(languageCode);
-            if (currentLanguage == null){
-                currentLanguage = Language.Default.INSTANCE;
+            this.currentLanguage = LanguageSeeker.seek(languageCode);
+            if (this.currentLanguage == null) {
+                this.currentLanguage = Language.Default.INSTANCE;
             }
-        } catch (IOException e) {
+        } catch (final @NotNull IOException e) {
             // Fallback to the default language if the specified language is not found
-            currentLanguage = Language.Default.INSTANCE;
+            this.currentLanguage = Language.Default.INSTANCE;
         }
 
-        LOGGER.info("{} Translation Keys", currentLanguage.keySize());
+        LOGGER.info("{} translation keys in {}", this.currentLanguage.keySize(), this.currentLanguage.getName());
     }
 
-    public static I18n getInstance()
-    {
-        return INSTANCE;
-    }
-
-    public String translateKey(String s)
-    {
-    	return currentLanguage.translateKey(s);
-    }
-
-    public String translateKeyAndFormat(String formatKey, Object... args)
-    {
-        return currentLanguage.translateKeyAndFormat(formatKey, args);
-    }
-
-    public String translateNameKey(String s)
-    {
-        return translateKey(s + ".name");
+    public @NotNull String translateKey(final @NotNull String key) {
+        if (this.currentLanguage == null) {
+            return key;
+        }
+        return this.currentLanguage.translateKey(key);
     }
 
-    public String translateDescKey(String s)
-    {
-        return translateKey(s + ".desc");
+    public @NotNull String translateKeyAndFormat(final @NotNull String key, final @Nullable Object @Nullable... args) {
+        if (this.currentLanguage == null) {
+            return key;
+        }
+        return this.currentLanguage.translateKeyAndFormat(key, args);
     }
 
-    public Language getCurrentLanguage() {
-        return currentLanguage;
+    public @Nullable Language getCurrentLanguage() {
+        return this.currentLanguage;
     }
 
-	public static InputStream getResourceAsStream(String path) {
+    public static @Nullable InputStream getResourceAsStream(final @NotNull String path) {
         return I18n.class.getResourceAsStream(path);
-	}
+    }
 
-    public static String[] getFilesInDirectory(String directory)
-    {
-        List<String> paths = new ArrayList<>();
+    public static @NotNull String @NotNull[] getFilesInDirectory(@NotNull String directory) {
+        final @NotNull List<@NotNull String> paths = new ArrayList<>();
 
         if (!directory.endsWith("/")) directory = directory + "/";
 
-        try
-        {
-            URI uri = I18n.class.getResource(directory).toURI();
-            Path myPath;
-            FileSystem fileSystem = null;
-            if (uri.getScheme().equals("jar"))
-            {
-                try
-                {
-                    fileSystem = FileSystems.getFileSystem(uri);
-                }
-                catch (Exception e)
-                {
-                    fileSystem = FileSystems.newFileSystem(uri, Collections.emptyMap());
-                }
-                myPath = fileSystem.getPath(directory);
-            }
-            else
-            {
-                myPath = Paths.get(uri);
+        try {
+            final @Nullable URL url = I18n.class.getResource(directory);
+            if (url == null) {
+                return new String[0];
             }
-            try (Stream<Path> walk = Files.walk(myPath, 1))
-            {
-                Iterator<Path> it = walk.iterator();
-                it.next();
-                while(it.hasNext())
-                {
-                    paths.add(directory + it.next().getFileName().toString());
+            final @NotNull URI uri = url.toURI();
+
+            if (uri.getScheme().equals("jar")) {
+                try (final @NotNull FileSystem files = FileSystems.getFileSystem(uri)) {
+                    walkFiles(directory, files.getPath(directory), paths);
+                } catch (final @NotNull Exception e) {
+                    try (final @NotNull FileSystem files = FileSystems.newFileSystem(uri, Collections.emptyMap())) {
+                        walkFiles(directory, files.getPath(directory), paths);
+                    }
                 }
+            } else {
+                walkFiles(directory, Paths.get(uri), paths);
+
             }
-            if (fileSystem != null)
-            {
-                fileSystem.close();
-            }
-        }
-        catch (Exception e)
-        {
+        } catch (final Exception e) {
             LOGGER.error("Exception while loading all files in directory '{}' in translator!", directory, e);
         }
 
         return paths.toArray(new String[0]);
     }
+
+    private static void walkFiles(final @NotNull String directory, final @NotNull Path path, final @NotNull Collection<? super @NotNull String> paths) throws IOException {
+        try (final Stream<Path> walk = Files.walk(path, 1)) {
+            final Iterator<Path> it = walk.iterator();
+            it.next();
+            while (it.hasNext()) {
+                paths.add(directory + it.next().getFileName().toString());
+            }
+        }
+    }
 }
diff --git a/game/core/src/main/java/net/minecraft/core/net/command/arguments/ArgumentTypeWeather.java b/game/core/src/main/java/net/minecraft/core/net/command/arguments/ArgumentTypeWeather.java
index 8d513a743..333f9401e 100644
--- a/game/core/src/main/java/net/minecraft/core/net/command/arguments/ArgumentTypeWeather.java
+++ b/game/core/src/main/java/net/minecraft/core/net/command/arguments/ArgumentTypeWeather.java
@@ -17,7 +17,7 @@ import java.util.Optional;
 import java.util.concurrent.CompletableFuture;
 
 public class ArgumentTypeWeather implements ArgumentType<Weather> {
-    private static final Collection<String> EXAMPLES = Arrays.asList(Weathers.OVERWORLD_CLEAR.languageKey, Weathers.OVERWORLD_FOG.languageKey);
+    private static final Collection<String> EXAMPLES = Arrays.asList(Weathers.OVERWORLD_CLEAR.getLanguageKey(), Weathers.OVERWORLD_FOG.getLanguageKey());
 
     public static ArgumentTypeWeather weather() {
         return new ArgumentTypeWeather();
@@ -29,7 +29,7 @@ public class ArgumentTypeWeather implements ArgumentType<Weather> {
 
         for (Weather weather : Weathers.WEATHERS) {
             if (weather == null) continue;
-            if (CommandHelper.matchesKeyString(weather.languageKey, string)) {
+            if (CommandHelper.matchesKeyString(weather.getLanguageKey(), string)) {
                 return weather;
             }
         }
@@ -41,7 +41,7 @@ public class ArgumentTypeWeather implements ArgumentType<Weather> {
         String remaining = builder.getRemainingLowerCase();
         for (Weather weather : Weathers.WEATHERS) {
             if (weather == null) continue;
-            Optional<String> optional = CommandHelper.getStringToSuggest(weather.languageKey, remaining);
+            Optional<String> optional = CommandHelper.getStringToSuggest(weather.getLanguageKey(), remaining);
             optional.ifPresent(builder::suggest);
         }
         return builder.buildFuture();
diff --git a/game/core/src/main/java/net/minecraft/core/net/command/commands/CommandClone.java b/game/core/src/main/java/net/minecraft/core/net/command/commands/CommandClone.java
index b8c81d737..ffeb83a08 100644
--- a/game/core/src/main/java/net/minecraft/core/net/command/commands/CommandClone.java
+++ b/game/core/src/main/java/net/minecraft/core/net/command/commands/CommandClone.java
@@ -154,7 +154,7 @@ public class CommandClone implements CommandManager.CommandRegistry {
                         if (!destination.getWorld().isBlockLoaded(destinationX, destinationY, destinationZ)) throw NOWHERE_LOADED.create();
                         else throw SOURCE_NOT_LOADED.create();
                     }
-                    map.put(new IntegerCoordinates(new IntegerCoordinate(false, x - minX), new IntegerCoordinate(false, y - minY), new IntegerCoordinate(false, z - minZ)), new ClonedBlock(start.getWorld().getBlock(x, y, z), start.getWorld().getBlockMetadata(x, y, z), start.getWorld().getBlockEntity(x, y, z)));
+                    map.put(new IntegerCoordinates(new IntegerCoordinate(false, x - minX), new IntegerCoordinate(false, y - minY), new IntegerCoordinate(false, z - minZ)), new ClonedBlock(start.getWorld().getBlock(x, y, z), start.getWorld().getBlockMetadata(x, y, z), start.getWorld().getTileEntity(x, y, z)));
                     if (cloneMode == CloneMode.MOVE) {
                         start.getWorld().setBlockWithNotify(x, y, z, 0);
                     }
@@ -171,13 +171,13 @@ public class CommandClone implements CommandManager.CommandRegistry {
             int offsetDestinationY = destinationY + entry.getKey().getY(source, true);
             int offsetDestinationZ = destinationZ + entry.getKey().getZ(source);
             CompoundTag blockTag = new CompoundTag();
-            TileEntity tileEntity = destination.getWorld().getBlockEntity(offsetDestinationX, offsetDestinationY, offsetDestinationZ);
+            TileEntity tileEntity = destination.getWorld().getTileEntity(offsetDestinationX, offsetDestinationY, offsetDestinationZ);
             if (tileEntity != null) tileEntity.writeToNBT(blockTag);
             if (filter == null || (destination.getWorld().getBlockId(offsetDestinationX, offsetDestinationY, offsetDestinationZ) == filter.getBlockId() && destination.getWorld().getBlockMetadata(offsetDestinationX, offsetDestinationY, offsetDestinationZ) == filter.getMetadata() && (filter.getTag().getValues().isEmpty() || CommandHelper.blockEntitiesAreEqual(blockTag, filter.getTag())))) {
                 if (destination.getWorld().getBlockId(offsetDestinationX, offsetDestinationY, offsetDestinationZ) != entry.getValue().getBlockId() || destination.getWorld().getBlockMetadata(offsetDestinationX, offsetDestinationY, offsetDestinationZ) != entry.getValue().getMetadata()) ++clonedBlocks;
                 destination.getWorld().setBlockWithNotify(offsetDestinationX, offsetDestinationY, offsetDestinationZ, entry.getValue().getBlockId());
                 destination.getWorld().setBlockMetadataWithNotify(offsetDestinationX, offsetDestinationY, offsetDestinationZ, entry.getValue().getMetadata());
-                CommandHelper.setBlockEntity(destination.getWorld(), offsetDestinationX, offsetDestinationY, offsetDestinationZ, entry.getValue().getBlockEntity());
+                CommandHelper.setTileEntity(destination.getWorld(), offsetDestinationX, offsetDestinationY, offsetDestinationZ, entry.getValue().getTileEntity());
             }
         }
         destination.getWorld().noNeighborUpdate = false;
diff --git a/game/core/src/main/java/net/minecraft/core/net/command/commands/CommandFill.java b/game/core/src/main/java/net/minecraft/core/net/command/commands/CommandFill.java
index c741b7708..071213d5d 100644
--- a/game/core/src/main/java/net/minecraft/core/net/command/commands/CommandFill.java
+++ b/game/core/src/main/java/net/minecraft/core/net/command/commands/CommandFill.java
@@ -126,17 +126,17 @@ public class CommandFill implements CommandManager.CommandRegistry {
             for (int y = minY; y <= maxY; y++) {
                 for (int z = minZ; z <= maxZ; z++) {
                     CompoundTag blockTag = new CompoundTag();
-                    TileEntity tileEntity = world.getBlockEntity(x, y, z);
+                    TileEntity tileEntity = world.getTileEntity(x, y, z);
                     if (tileEntity != null) tileEntity.writeToNBT(blockTag);
-                    if ((block.getBlockId() != world.getBlockId(x, y, z) || block.getMetadata() != world.getBlockMetadata(x, y, z) || !CommandHelper.blockEntitiesAreEqual(block.getTag(), CommandHelper.tagFrom(world.getBlockEntity(x, y, z)))) && (filter == null || (world.getBlockId(x, y, z) == filter.getBlockId() && world.getBlockMetadata(x, y, z) == filter.getMetadata() && (filter.getTag().getValues().isEmpty() || CommandHelper.blockEntitiesAreEqual(blockTag, filter.getTag()))))) {
+                    if ((block.getBlockId() != world.getBlockId(x, y, z) || block.getMetadata() != world.getBlockMetadata(x, y, z) || !CommandHelper.blockEntitiesAreEqual(block.getTag(), CommandHelper.tagFrom(world.getTileEntity(x, y, z)))) && (filter == null || (world.getBlockId(x, y, z) == filter.getBlockId() && world.getBlockMetadata(x, y, z) == filter.getMetadata() && (filter.getTag().getValues().isEmpty() || CommandHelper.blockEntitiesAreEqual(blockTag, filter.getTag()))))) {
                         ++blocksFilled;
                         if (destroy && world.getBlock(x, y, z) != null)
-                            world.getBlock(x, y, z).getBreakResult(world, EnumDropCause.WORLD, x, y, z, world.getBlockMetadata(x, y, z), world.getBlockEntity(x, y, z));
+                            world.getBlock(x, y, z).getBreakResult(world, EnumDropCause.WORLD, x, y, z, world.getBlockMetadata(x, y, z), world.getTileEntity(x, y, z));
                     }
-                    if (filter == null || (world.getBlockId(x, y, z) == filter.getBlockId() && world.getBlockMetadata(x, y, z) == filter.getMetadata() && (!filter.getTag().getValue().isEmpty() || CommandHelper.blockEntitiesAreEqual(CommandHelper.tagFrom(world.getBlockEntity(x, y, z)), filter.getTag())))) {
+                    if (filter == null || (world.getBlockId(x, y, z) == filter.getBlockId() && world.getBlockMetadata(x, y, z) == filter.getMetadata() && (!filter.getTag().getValue().isEmpty() || CommandHelper.blockEntitiesAreEqual(CommandHelper.tagFrom(world.getTileEntity(x, y, z)), filter.getTag())))) {
                         world.setBlockWithNotify(x, y, z, block.getBlockId());
                         world.setBlockMetadataWithNotify(x, y, z, block.getMetadata());
-                        CommandHelper.setBlockEntity(world, x, y, z, block.getTag());
+                        CommandHelper.setTileEntity(world, x, y, z, block.getTag());
                     }
                 }
             }
@@ -160,14 +160,14 @@ public class CommandFill implements CommandManager.CommandRegistry {
             for (int y = minY; y <= maxY; y++) {
                 for (int z = minZ; z <= maxZ; z++) {
                     boolean isOutline = x == minX || x == maxX || y == minY || y == maxY || z == minZ || z == maxZ;
-                    if ((isOutline && (block.getBlockId() != world.getBlockId(x, y, z) || block.getMetadata() != world.getBlockMetadata(x, y, z) || !CommandHelper.blockEntitiesAreEqual(block.getTag(), CommandHelper.tagFrom(world.getBlockEntity(x, y, z))))) || (!isOutline && world.getBlockId(x, y, z) != 0)) {
+                    if ((isOutline && (block.getBlockId() != world.getBlockId(x, y, z) || block.getMetadata() != world.getBlockMetadata(x, y, z) || !CommandHelper.blockEntitiesAreEqual(block.getTag(), CommandHelper.tagFrom(world.getTileEntity(x, y, z))))) || (!isOutline && world.getBlockId(x, y, z) != 0)) {
                         ++blocksFilled;
                         if (!isOutline && world.getBlock(x, y, z) != null)
-                            world.getBlock(x, y, z).getBreakResult(world, EnumDropCause.WORLD, x, y, z, world.getBlockMetadata(x, y, z), world.getBlockEntity(x, y, z));
+                            world.getBlock(x, y, z).getBreakResult(world, EnumDropCause.WORLD, x, y, z, world.getBlockMetadata(x, y, z), world.getTileEntity(x, y, z));
                     }
                     world.setBlockWithNotify(x, y, z, isOutline ? block.getBlockId() : 0);
                     world.setBlockMetadataWithNotify(x, y, z, isOutline ? block.getMetadata() : 0);
-                    CommandHelper.setBlockEntity(world, x, y, z, block.getTag());
+                    CommandHelper.setTileEntity(world, x, y, z, block.getTag());
                 }
             }
         }
@@ -190,12 +190,12 @@ public class CommandFill implements CommandManager.CommandRegistry {
             for (int y = minY; y <= maxY; y++) {
                 for (int z = minZ; z <= maxZ; z++) {
                     boolean isOutline = x == minX || x == maxX || y == minY || y == maxY || z == minZ || z == maxZ;
-                    if (isOutline && (block.getBlockId() != world.getBlockId(x, y, z) || block.getMetadata() != world.getBlockMetadata(x, y, z) || !CommandHelper.blockEntitiesAreEqual(block.getTag(), CommandHelper.tagFrom(world.getBlockEntity(x, y, z)))))
+                    if (isOutline && (block.getBlockId() != world.getBlockId(x, y, z) || block.getMetadata() != world.getBlockMetadata(x, y, z) || !CommandHelper.blockEntitiesAreEqual(block.getTag(), CommandHelper.tagFrom(world.getTileEntity(x, y, z)))))
                         ++blocksFilled;
                     if (isOutline) {
                         world.setBlockWithNotify(x, y, z, block.getBlockId());
                         world.setBlockMetadataWithNotify(x, y, z, block.getMetadata());
-                        CommandHelper.setBlockEntity(world, x, y, z, block.getTag());
+                        CommandHelper.setTileEntity(world, x, y, z, block.getTag());
                     }
                 }
             }
diff --git a/game/core/src/main/java/net/minecraft/core/net/command/commands/CommandSetBlock.java b/game/core/src/main/java/net/minecraft/core/net/command/commands/CommandSetBlock.java
index 45323a052..4e360d59c 100644
--- a/game/core/src/main/java/net/minecraft/core/net/command/commands/CommandSetBlock.java
+++ b/game/core/src/main/java/net/minecraft/core/net/command/commands/CommandSetBlock.java
@@ -37,7 +37,7 @@ public class CommandSetBlock implements CommandManager.CommandRegistry {
                                     } else {
                                         world.setBlockWithNotify(x, y, z, blockInput.getBlockId());
                                         world.setBlockMetadataWithNotify(x, y, z, blockInput.getMetadata());
-                                        CommandHelper.setBlockEntity(world, x, y, z, blockInput.getTag());
+                                        CommandHelper.setTileEntity(world, x, y, z, blockInput.getTag());
                                         source.sendTranslatableMessage("command.commands.setblock.success", coordinates.getX(source), coordinates.getY(source, true), coordinates.getZ(source));
                                     }
 
diff --git a/game/core/src/main/java/net/minecraft/core/net/command/commands/CommandTestFor.java b/game/core/src/main/java/net/minecraft/core/net/command/commands/CommandTestFor.java
index 9e5398f11..3da906f2f 100644
--- a/game/core/src/main/java/net/minecraft/core/net/command/commands/CommandTestFor.java
+++ b/game/core/src/main/java/net/minecraft/core/net/command/commands/CommandTestFor.java
@@ -36,7 +36,7 @@ public class CommandTestFor implements CommandManager.CommandRegistry {
                                             BlockInput block = c.getArgument("block", BlockInput.class);
                                             IntegerCoordinates secondPos = c.getArgument("second", IntegerCoordinates.class);
                                             CompoundTag blockInWorldCompoundTag = new CompoundTag();
-                                            TileEntity tileEntity = c.getSource().getWorld().getBlockEntity(secondPos.getX(c.getSource()), secondPos.getY(c.getSource(), true), secondPos.getZ(c.getSource()));
+                                            TileEntity tileEntity = c.getSource().getWorld().getTileEntity(secondPos.getX(c.getSource()), secondPos.getY(c.getSource(), true), secondPos.getZ(c.getSource()));
                                             if (tileEntity != null) tileEntity.writeToNBT(blockInWorldCompoundTag);
                                             if (c.getSource().getWorld().getBlock(secondPos.getX(c.getSource()), secondPos.getY(c.getSource(), true), secondPos.getZ(c.getSource())) == block.getBlock()
                                             && c.getSource().getWorld().getBlockMetadata(secondPos.getX(c.getSource()), secondPos.getY(c.getSource(), true), secondPos.getZ(c.getSource())) == block.getMetadata()
@@ -70,10 +70,10 @@ public class CommandTestFor implements CommandManager.CommandRegistry {
                                             }
 
                                             CompoundTag firstTag = new CompoundTag();
-                                            TileEntity firstTileEntity = c.getSource().getWorld().getBlockEntity(firstPos.getX(c.getSource()), firstPos.getY(c.getSource(), true), firstPos.getZ(c.getSource()));
+                                            TileEntity firstTileEntity = c.getSource().getWorld().getTileEntity(firstPos.getX(c.getSource()), firstPos.getY(c.getSource(), true), firstPos.getZ(c.getSource()));
                                             if (firstTileEntity != null) firstTileEntity.writeToNBT(firstTag);
                                             CompoundTag secondTag = new CompoundTag();
-                                            TileEntity secondTileEntity = c.getSource().getWorld().getBlockEntity(secondPos.getX(c.getSource()), secondPos.getY(c.getSource(), true), secondPos.getZ(c.getSource()));
+                                            TileEntity secondTileEntity = c.getSource().getWorld().getTileEntity(secondPos.getX(c.getSource()), secondPos.getY(c.getSource(), true), secondPos.getZ(c.getSource()));
                                             if (secondTileEntity != null) secondTileEntity.writeToNBT(secondTag);
 
                                             if (!CommandHelper.blockEntitiesAreEqual(firstTag, secondTag)) {
diff --git a/game/core/src/main/java/net/minecraft/core/net/command/commands/CommandWeather.java b/game/core/src/main/java/net/minecraft/core/net/command/commands/CommandWeather.java
index 8cb4e8ce2..5e64fe611 100644
--- a/game/core/src/main/java/net/minecraft/core/net/command/commands/CommandWeather.java
+++ b/game/core/src/main/java/net/minecraft/core/net/command/commands/CommandWeather.java
@@ -25,7 +25,7 @@ public class CommandWeather implements CommandManager.CommandRegistry {
                         Weather weather = Weathers.OVERWORLD_CLEAR;
 
                         world.weatherManager.overrideWeather(weather);
-                        source.sendTranslatableMessage("command.commands.weather.success", weather.getTranslatedName());
+                        source.sendTranslatableMessage("command.commands.weather.success", weather.getNameLanguageKey());
                         return Command.SINGLE_SUCCESS;
                     }))
                 .then(RequiredArgumentBuilder.<CommandSource, Weather>argument("weather", ArgumentTypeWeather.weather())
@@ -35,7 +35,7 @@ public class CommandWeather implements CommandManager.CommandRegistry {
                             Weather weather = c.getArgument("weather", Weather.class);
 
                             world.weatherManager.overrideWeather(weather);
-                            source.sendTranslatableMessage("command.commands.weather.success", weather.getTranslatedName());
+                            source.sendTranslatableMessage("command.commands.weather.success", weather.getNameLanguageKey());
                             return Command.SINGLE_SUCCESS;
                         })
                         .then(RequiredArgumentBuilder.<CommandSource, Integer>argument("duration", ArgumentTypeTime.time())
@@ -45,7 +45,7 @@ public class CommandWeather implements CommandManager.CommandRegistry {
                                     Weather weather = c.getArgument("weather", Weather.class);
 
                                     world.weatherManager.overrideWeather(weather, c.getArgument("duration", Integer.class));
-                                    source.sendTranslatableMessage("command.commands.weather.success", weather.getTranslatedName());
+                                    source.sendTranslatableMessage("command.commands.weather.success", weather.getNameLanguageKey());
                                     return Command.SINGLE_SUCCESS;
                                 })
                                 .then(RequiredArgumentBuilder.<CommandSource, Float>argument("power", FloatArgumentType.floatArg())
@@ -55,7 +55,7 @@ public class CommandWeather implements CommandManager.CommandRegistry {
                                             Weather weather = c.getArgument("weather", Weather.class);
 
                                             world.weatherManager.overrideWeather(weather, c.getArgument("duration", Integer.class), c.getArgument("power", Float.class));
-                                            source.sendTranslatableMessage("command.commands.weather.success", weather.getTranslatedName());
+                                            source.sendTranslatableMessage("command.commands.weather.success", weather.getNameLanguageKey());
                                             return Command.SINGLE_SUCCESS;
                                         })))));
         dispatcher.register(LiteralArgumentBuilder.<CommandSource>literal("w")
diff --git a/game/core/src/main/java/net/minecraft/core/net/command/helpers/ClonedBlock.java b/game/core/src/main/java/net/minecraft/core/net/command/helpers/ClonedBlock.java
index cddff7fb4..d179514ea 100644
--- a/game/core/src/main/java/net/minecraft/core/net/command/helpers/ClonedBlock.java
+++ b/game/core/src/main/java/net/minecraft/core/net/command/helpers/ClonedBlock.java
@@ -29,7 +29,7 @@ public class ClonedBlock {
         return this.metadata;
     }
 
-    public TileEntity getBlockEntity() {
+    public TileEntity getTileEntity() {
         return this.tileEntity;
     }
 }
\ No newline at end of file
diff --git a/game/core/src/main/java/net/minecraft/core/net/command/util/CommandHelper.java b/game/core/src/main/java/net/minecraft/core/net/command/util/CommandHelper.java
index 1c8a08542..5443f05d9 100644
--- a/game/core/src/main/java/net/minecraft/core/net/command/util/CommandHelper.java
+++ b/game/core/src/main/java/net/minecraft/core/net/command/util/CommandHelper.java
@@ -127,16 +127,16 @@ public class CommandHelper {
         return true;
     }
 
-    public static void setBlockEntity(WorldSource world, int x, int y, int z, CompoundTag tag) {
-        if (tag == null || world.getBlockEntity(x, y, z) == null) return;
+    public static void setTileEntity(WorldSource world, int x, int y, int z, CompoundTag tag) {
+        if (tag == null || world.getTileEntity(x, y, z) == null) return;
         tag.putInt("x", x);
         tag.putInt("y", y);
         tag.putInt("z", z);
-        world.getBlockEntity(x, y, z).readFromNBT(tag);
+        world.getTileEntity(x, y, z).readFromNBT(tag);
     }
 
-    public static void setBlockEntity(WorldSource world, int x, int y, int z, TileEntity tileEntity) {
-        setBlockEntity(world, x, y, z, tagFrom(tileEntity));
+    public static void setTileEntity(WorldSource world, int x, int y, int z, TileEntity tileEntity) {
+        setTileEntity(world, x, y, z, tagFrom(tileEntity));
     }
 
     public static CompoundTag tagFrom(TileEntity tileEntity) {
